$time: 500ms;
$format: ease-out forwards;
$default-animation: $time default-in $format;

.default-in {
  opacity: 0;
  animation: $default-animation;
}

.skills-left-in {
  opacity: 0;
  /*transform: translateX(-200px);*/
  animation: /*$time skills-left-in $format,*/ $time * 1.3 default-in $format;
}

.skills-right-in {
  opacity: 0;
  /*transform: translateX(200px);*/
  animation: /*$time skills-right-in $format,*/ $time * 1.3 default-in $format;
}

.skills-bottom-in {
  opacity: 0;
  /*transform: translateY(200px);*/
  animation: /*$time skills-bottom-in $format,*/ $time * 1.3 default-in 200ms $format;
}

.home-welcome-in {
  opacity: 0;
  transform: translateY(50px);
  animation: $time home-welcome-in $format, $default-animation;
}

.home-about-in {
  opacity: 0;
  transform: translateX(-30px);
  animation: $time * 0.7 home-about-in $time $format, $time default-in $time $format;

  &:before {
    opacity: 0;
    animation: $time * 0.3 default-in $time $format;
  }
}

.contact-in {
  opacity: 0;
  transform: translate(-50%, -50%) scale(0.95);
  animation: $time contact-in $format, $default-animation;
}

@keyframes default-in {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes skills-left-in {
  from {
    transform: translateX(-200px);
  }

  to {
    transform: none;
  }
}

@keyframes skills-right-in {
  from {
    transform: translateX(200px);
  }

  to {
    transform: none;
  }
}

@keyframes skills-bottom-in {
  from {
    transform: translateY(200px);
  }

  to {
    transform: none;
  }
}

@keyframes home-welcome-in {
  from {
    transform: translateY(50px);
  }

  to {
    transform: none;
  }
}

@keyframes home-about-in {
  from {
    transform: translateX(-30px);
  }

  to {
    transform: none;
  }
}

@keyframes contact-in {
  0% {
    transform: translate(-50%, -50%) scale(0.95);
  }

  100% {
    transform: translate(-50%, -50%) scale(1);
  }
}
